Package edu.msu.cme.rdp.classifier.train.validation.distance

# Class BoxPlotUtils

java.lang.Object
edu.msu.cme.rdp.classifier.train.validation.distance.BoxPlotUtils

public class BoxPlotUtils extends Object

## Constructor Summary

Constructors
Constructor
Description
`BoxPlotUtils()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`createBoxplot(org.jfree.data.statistics.DefaultBoxAndWhiskerCategoryDataset scatterDataset, PrintStream outStream, String title, String xAxisLabel, String yAxisLabel, Font lableFont)`
`static void`
`main(String[] args)`
`static void`
`readData(String inFile, File outdir, String xAxisLabel, String yAxisLabel)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BoxPlotUtils

public BoxPlotUtils()

## Method Details

### readData

public static void readData(String inFile, File outdir, String xAxisLabel, String yAxisLabel) throws IOException

Throws:
  `IOException`

### createBoxplot

public static void createBoxplot(org.jfree.data.statistics.DefaultBoxAndWhiskerCategoryDataset scatterDataset, PrintStream outStream, String title, String xAxisLabel, String yAxisLabel, Font lableFont) throws IOException

Throws:
  `IOException`

### main

public static void main(String[] args) throws IOException

Throws:
  `IOException`